Qikberry API Docs
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
Qikberry.AI
App
  1. Interactive
  • Introduction
  • Catalog Messages
  • Payment Messages
  • Non-templates messages
    • Interactive
      • URL button
        POST
      • List buttons
        POST
      • Media carousel
        POST
      • Reply buttons
        POST
    • Address
      POST
    • Audio
      POST
    • Document
      POST
    • Contacts
      POST
    • Image
      POST
    • Location
      POST
    • Video
      POST
    • Text
      POST
  1. Interactive

List buttons

POST
https://rest.qikberry.ai/v1/whatsapp/messages

Interactive List Message#

An Interactive List Message allows businesses to send a list of selectable options to customers. Customers can open the list by clicking the button and choose one option from the available items.
Interactive List Messages are commonly used for:
Product categories
Service menus
Appointment options
FAQs
Order selections
list_img_1.png
List Image - First
list_img_2.png
List Image - Second
list_img_3.png
List Image - Third
A List Message contains:
Header (Optional) – Displays a title or media content.
Body (Required) – Main message content.
Footer (Optional) – Additional information.
Button (Required) – Opens the list of available options.
Note: A list message can contain up to 10 sections and customers can select one option from the list.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
The request was successfully accepted for processing. The response returns a confirmation message along with the unique message ID and the recipient's WhatsApp number.
Bodyapplication/json

🟠401Unauthorized
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://rest.qikberry.ai/v1/whatsapp/messages' \
--header 'x-phone-number: <WA_ID>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "to": "<USER_PHONE_NUMBER>",
    "type": "interactive",
    "interactive": {
        "type": "list",
        "header": {
            "type": "text",
            "text": "Choose Messaging Option"
        },
        "body": {
            "text": "Which messaging option do you prefer?"
        },
        "footer": {
            "text": "Qikberry technologies and private limited"
        },
        "action": {
            "button": "Messaging option Options",
            "sections": [
                {
                    "title": "Turn your business conversation into CRM",
                    "rows": [
                        {
                            "id": "sms",
                            "title": "SMS",
                            "description": "15 paisa/sms"
                        },
                        {
                            "id": "Whatsapp",
                            "title": "Whatsapp",
                            "description": "3000 per annum"
                        }
                    ]
                },
                {
                    "title": "Scheduling time",
                    "rows": [
                        {
                            "id": "morning",
                            "title": "Morning",
                            "description": "9 am-12 pm "
                        },
                        {
                            "id": "afternoon",
                            "title": "Afternoon",
                            "description": "12 pm–6pm"
                        },
                    ]
                }
            ]
        }
    }
}'
Response Response Example
200 - SUCCESS
{
    "message": "1 numbers accepted",
    "data": [
        {
            "messageId": "<MESSAGE_ID>",
            "mobile": "<USER_PHONE_NUMBER>"
        }
    ]
}
Modified at 2026-07-29 10:59:00
Previous
URL button
Next
Media carousel
Built with